> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ontime.hosai.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Update own notification preferences

> Update own notification preferences



## OpenAPI

````yaml /api-reference/openapi.json patch /api/me/notification-preferences
openapi: 3.1.0
info:
  title: ontime API
  description: APIs for ontime.v2
  version: 1.0.0
servers:
  - url: https://app.ontime.hosai.app
    description: Production
security:
  - apiKey: []
paths:
  /api/me/notification-preferences:
    patch:
      tags:
        - Me
      summary: Update own notification preferences
      description: Update own notification preferences
      operationId: patchApiMeNotificationPreferences
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                leaveDecisions:
                  type: boolean
                regularizationDecisions:
                  type: boolean
                overtimeDecisions:
                  type: boolean
                swapDecisions:
                  type: boolean
                messages:
                  type: boolean
                punchReminders:
                  type: boolean
                payslips:
                  type: boolean
                form16:
                  type: boolean
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  leaveDecisions:
                    type: boolean
                  regularizationDecisions:
                    type: boolean
                  overtimeDecisions:
                    type: boolean
                  swapDecisions:
                    type: boolean
                  messages:
                    type: boolean
                  punchReminders:
                    type: boolean
                  payslips:
                    type: boolean
                  form16:
                    type: boolean
                required:
                  - leaveDecisions
                  - regularizationDecisions
                  - overtimeDecisions
                  - swapDecisions
                  - messages
                  - punchReminders
                  - payslips
                  - form16
components:
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: ont_ API key
      description: >-
        Issue keys in Settings → API. Send them as `Authorization: Bearer ont_…`
        (an `X-Api-Key: ont_…` header is also accepted). Session-cookie routes
        are used by the OnTime web apps and are shown for completeness.

````